0

After updating to Magento 2.2.6, the following error is output.

Go to

Backend> System> Permission (All Users)> Users

Clicking each line... etc. outputs an error.

The following is an error message.

Exception # 0 (Exception): Warning: Illegal offset type in /var/www/html/multistore/vendor/magento/module-backend/Block/Widget/Tabs.php on line 306

2

I am still debugging on my development server, so far I found that changing the file /vendor/magento/module-backend/Block/Widget/Tabs.php - line 306

$grandPosition = $orderByIdentity[$tab->getAfter()]->getPosition();

to

$grandPosition = $orderByIdentity[(string)$tab->getAfter()]->getPosition();

resolved the issue for me.

This is not a fix as it involves editing the core magento files, but indicates that it could be an issue with an extension that adds tabs to the user view - if you have any extensions that add tabs to this view, you could try contacting the vendor or disabling the module.

  • Thank you very much. I copied your code and solved it. – mr.hironobu Oct 24 '18 at 2:18
  • How can I find the affecting module? – mr.hironobu Oct 24 '18 at 2:19

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.